# $Revision: 1.21 $, $Date: 2008/07/27 22:43:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	Reload-Sel
Summary:	Module::Reload::Selective - reload Perl modules during development
Summary(pl.UTF-8):	Module::Reload::Selective - przeładowywanie modułów Perla w trakcie pracy
Name:		perl-Module-Reload-Selective
Version:	1.02
Release:	4
# sa,e as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	27c209d6143b15d036263e31b18f6128
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility for module developers to selectively reload needed modules
and/or conditionally augment @INC with additional, per-developer library
directories, at development time based on environment variables.

%description -l pl.UTF-8
Narzędzie dla twórców modułów, służące do wybiórczego przeładowywania
modułów i/lub warunkowego dodawania do @INC dodatkowych, specyficznych
dla konkretnego developera katalogów z bibliotekami w trakcie pisania
programu w oparciu o zmienne środowiskowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Module/Reload
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-Reload-Selective.spec,v $
Revision 1.21  2008/07/27 22:43:53  arekm
- release 4

Revision 1.20  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.18  2004/11/03 22:30:35  paladine
- formatting

Revision 1.17  2004/05/07 01:09:23  ankry
- rel. 3

Revision 1.16  2004/05/06 18:20:43  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 00:50:58  ankry
- cosmetics: unification

Revision 1.14  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.13  2004/04/22 20:42:11  ankry
- bconds added

Revision 1.12  2004/04/14 21:16:32  ankry
- cosmetics, unification

Revision 1.11  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/28 10:08:27  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:36:56  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.1  2002/07/25 21:21:31  radek
- new, STBR

